if user.runThrough == 0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
user.qOutlier  = input('Edit applied time points (or reset)? (y/n): ','s');

temp.mixing_times   = user.mixing_times;
temp.num_mix_t      = length(temp.mixing_times);


while ~strcmp(user.qOutlier, 'y') && ~strcmp(user.qOutlier, 'n')
    
    user.qOutlier  = input('Edit applied time points (or reset)? (y/n): ','s');
        
end

while strcmp(user.qOutlier, 'y')
    
    clearvars upL
    
    user.outlier  = input(['\nAvailable mixing times:         ', num2str(user.mixing_times, '%2.3f '),'\n'...
                           'Currently applied mixing times: ', num2str(temp.mixing_times, '%2.3f '),'\n\n'...
                           'Time point index?\n'...
                           'Enter index for one time point\n',...
                           'Enter [index index ...] for multiple time points\n',...
                           'Enter 0 to restore/keep all): ']);
    
    if user.outlier ~= 0
        
        while max(user.outlier) > length(user.mixing_times) || ischar(user.outlier)
            
            user.outlier  = input(['\nAvailable mixing times:         ', num2str(user.mixing_times, '%2.3f '),'\n'...
                                   'Currently applied mixing times: ', num2str(temp.mixing_times, '%2.3f '),'\n\n'...
                                   'Time point index?\n'...
                                   'Enter index for one time point\n',...
                                   'Enter [index index ...] for multiple time points\n',...
                                   'Enter 0 to restore/keep all): ']);
        end
        
        temp.mixing_times   = [];
        temp.num_mix_t      = [];
        
        upL = length(user.mixing_times);
        
        k = 1;
        for i = 1:upL
            if ~any(i == user.outlier)
                temp.mixing_times(k)            = user.mixing_times(i);
                k = k + 1;
            end
        end
        
        temp.num_mix_t = length(temp.mixing_times);
        
        fprintf(['\nApplied mixing times: ', num2str(temp.mixing_times, '%2.3f '), '\n'])
     

        for k = 1:length(diagDecay)
     
            diagDecay(k).mixTimes               = [];
            diagDecay(k).DPrho                  = [];
            diagDecay(k).rho                    = [];
            diagDecay(k).Const                  = [];
            diagDecay(k).chiNRho                = [];
            diagDecay(k).PointtheoRho           = [];
            diagDecay(k).diffRho                = [];
            diagDecay(k).chisqRho               = [];
            diagDecay(k).chisq05Rho             = [];
            
            z = 1;
            for i = 1:upL
                if ~any(i == user.outlier)
                    diagDecay(k).mixTimes       = temp.mixing_times;
                    diagDecay(k).DPrho(z)       = diagDecay(k).fullSetDPrho(i);
                    z = z + 1;         
                end 
            end
        end
            
        for k = 1:length(sigmaData)
            
            sigmaData(k).buildups.mixTimes      = [];
            sigmaData(k).buildups.DPraw         = [];
            sigmaData(k).buildups.rhoi          = [];
            sigmaData(k).buildups.rhoj          = [];
            sigmaData(k).buildups.rawIzero      = [];            
            sigmaData(k).buildups.Izero         = [];
            sigmaData(k).buildups.exp_build_up_H1H2_norm = [];
            sigmaData(k).buildups.sigmaij       = [];
            sigmaData(k).buildups.LambdaPlus    = [];
            sigmaData(k).buildups.LambdaMinus   = [];
            sigmaData(k).buildups.Pointtheo     = [];
            sigmaData(k).buildups.diff          = [];
            sigmaData(k).buildups.chisq         = [];
            sigmaData(k).buildups.chisq05       = [];
            sigmaData(k).buildups.maxDP         = [];
            sigmaData(k).buildups.chiN          = [];
            
% % %             sigmaData(k).decay.resRho           = [];
% % %             sigmaData(k).decay.atomRho          = [];
            sigmaData(k).decay.fullSetmixTimes  = [];
            sigmaData(k).decay.fullSetDPrho     = [];
            sigmaData(k).decay.mixTimes         = [];
            sigmaData(k).decay.DPrho            = [];
            sigmaData(k).decay.rho              = [];
            sigmaData(k).decay.Const            = [];
            sigmaData(k).decay.chiNRho          = [];
            sigmaData(k).decay.PointtheoRho     = [];
            sigmaData(k).decay.diffRho          = [];
            sigmaData(k).decay.chisqRho         = [];
            sigmaData(k).decay.chisq05Rho       = [];
            
            sigmaData(k).rhoi                   = [];
            sigmaData(k).rhoj                   = [];
            sigmaData(k).Izeroij                = [];
            sigmaData(k).Izeroji                = [];
            sigmaData(k).chisq05                = [];
            sigmaData(k).chiN                   = [];
            sigmaData(k).sigmaij                = [];
            sigmaData(k).sigmaji                = [];
            
            z = 1;
            for i = 1:upL
                if ~any(i == user.outlier)
                    sigmaData(k).buildups.mixTimes  = temp.mixing_times;
                    sigmaData(k).buildups.DPraw(z)  = sigmaData(k).buildups.fullSetDPraw(i);
                    z = z + 1;
                end
            end
        end
        
        diagDecayMaster
        buildupMaster
        
    elseif user.outlier == 0
        
        temp.mixing_times                       = user.mixing_times;
        temp.num_mix_t                          = length(temp.mixing_times);
        
        fprintf(['\nApplied mixing times: ', num2str(temp.mixing_times, '%2.3f '), '\n'])
        
        for k = 1:length(diagDecay)
            
            diagDecay(k).mixTimes               = [];
            diagDecay(k).DPrho                  = [];
            diagDecay(k).rho                    = [];
            diagDecay(k).Const                  = [];
            diagDecay(k).chiNRho                = [];
            diagDecay(k).PointtheoRho           = [];
            diagDecay(k).diffRho                = [];
            diagDecay(k).chisqRho               = [];
            diagDecay(k).chisq05Rho             = [];
            
            diagDecay(k).mixTimes               = diagDecay(k).fullSetmixTimes;
            diagDecay(k).DPrho                  = diagDecay(k).fullSetDPrho;
            
        end
        
            
        for k = 1:length(sigmaData)
            
            sigmaData(k).buildups.mixTimes      = [];
            sigmaData(k).buildups.DPraw         = [];
            sigmaData(k).buildups.rhoi          = [];
            sigmaData(k).buildups.rhoj          = [];
            sigmaData(k).buildups.rawIzero      = [];            
            sigmaData(k).buildups.Izero         = [];
            sigmaData(k).buildups.exp_build_up_H1H2_norm = [];
            sigmaData(k).buildups.sigmaij       = [];
            sigmaData(k).buildups.LambdaPlus    = [];
            sigmaData(k).buildups.LambdaMinus   = [];
            sigmaData(k).buildups.Pointtheo     = [];
            sigmaData(k).buildups.diff          = [];
            sigmaData(k).buildups.chisq         = [];
            sigmaData(k).buildups.chisq05       = [];
            sigmaData(k).buildups.maxDP         = [];
            sigmaData(k).buildups.chiN          = [];
            
% % %             sigmaData(k).decay.resRho           = [];
% % %             sigmaData(k).decay.atomRho          = [];
            sigmaData(k).decay.fullSetmixTimes  = [];
            sigmaData(k).decay.fullSetDPrho     = [];
            sigmaData(k).decay.mixTimes         = [];
            sigmaData(k).decay.DPrho            = [];
            sigmaData(k).decay.rho              = [];
            sigmaData(k).decay.Const            = [];
            sigmaData(k).decay.chiNRho          = [];
            sigmaData(k).decay.PointtheoRho     = [];
            sigmaData(k).decay.diffRho          = [];
            sigmaData(k).decay.chisqRho         = [];
            sigmaData(k).decay.chisq05Rho       = [];
            
            sigmaData(k).rhoi                   = [];
            sigmaData(k).rhoj                   = [];
            sigmaData(k).Izeroij                = [];
            sigmaData(k).Izeroji                = [];
            sigmaData(k).chisq05                = [];
            sigmaData(k).chiN                   = [];
            sigmaData(k).sigmaij                = [];
            sigmaData(k).sigmaji                = [];
            
            sigmaData(k).buildups.mixTimes      = sigmaData(k).buildups.fullSetmixTimes;
            sigmaData(k).buildups.DPraw         = sigmaData(k).buildups.fullSetDPraw;
            
        end
        
        diagDecayMaster
        buildupMaster
        
    end
    
    %whos
    user.qOutlier  = input('Edit applied time points (or reset)? (y/n): ','s');
    
    while ~strcmp(user.qOutlier, 'y') && ~strcmp(user.qOutlier, 'n')
    
        user.qOutlier  = input('Edit applied time points (or reset)? (y/n): ','s');
        
    end
    
end

clearvars upL k i z 
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%